package org.jeecg.modules.checkData.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.checkData.dto.RecordsMasterCheckDTO;
import org.jeecg.modules.checkData.entity.RecordsMasterCheck;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.checkData.vo.RecordsMasterCheckVO;
import org.jeecg.modules.deviceAsset.dto.TrackBedManagementDTO;
import org.jeecg.modules.deviceAsset.vo.TrackBedManagementVO;

/**
 * <p>
 * 设备检查记录主表 Mapper 接口
 * </p>
 *
 * @author hkl
 * @since 2023-07-07
 */
public interface RecordsMasterCheckMapper extends BaseMapper<RecordsMasterCheck> {
    /**
     * 设备检查记录-分页列表查询
     * @param pageData
     * @param dto
     * @return
     */
    Page<RecordsMasterCheckVO> queryPageList(Page<RecordsMasterCheckVO> pageData, RecordsMasterCheckDTO dto);
}
